@import url("https://fonts.googleapis.com/css2?family=DM+Sans:ital,opsz,wght@0,9..40,100..1000;1,9..40,100..1000&display=swap");
:root { --new-theme-font-family: "DM Sans", sans-serif; --black-color: #000;--font-12:0.75rem;--red-color: #EE2C3C;--blue-color: #6A11B0;--black-color: #000;--white-color: #fff; --grey-color:#666;--mid-grey-color:#999;--dark-grey-color:#333;--font-14:0.875rem;--font-15:0.938rem;--font-16:1rem;--font-17:1.063rem;--font-18:1.125rem;--font-19:1.188rem;--font-20:1.25rem;--line-h-14:0.875rem;--line-h-16:1rem;--line-h-18:1.125rem;--line-h-20:1.25rem;--line-h-22:1.375rem;--line-h-24:1.5rem;--line-h-26:1.625rem;--line-h-28:1.75rem;--line-h-30:1.875rem; }
.container { width: 100%; max-width: 1270px; position: relative; }
.container, .container-small { padding: 0 15px; margin: 0 auto; }
a { color: var(--black-color); }
a, a:hover { text-decoration: none; }
a:hover { outline: 0; color: #E50913;}
ol, p:last-child, ul { margin: 0; }
ul li { list-style: none; }
img, svg { max-width: 100%; height: auto; }
*, body, footer.footer>.container-fluid, ol, ul { padding: 0; }
body.home-body {font-family: var(--new-theme-font-family);font-optical-sizing: auto;font-style: normal; font-size: 16px;font-weight: 500;line-height: 22px;    color: var(--grey-color);}
.mb-100 { margin-bottom:100px}
.mb-90 { margin-bottom:90px}
.mb-80 { margin-bottom:80px}
.mb-70 { margin-bottom:70px}
.mb-60 { margin-bottom:60px}
.mb-50 { margin-bottom:50px}
.mb-40 { margin-bottom:40px}
.mb-30 { margin-bottom:30px}
.mb-20 { margin-bottom:20px}
.mb-10 { margin-bottom:10px} 
.h1-class, .h2-class, .h3-class, .h4-class, .h5-class, .h6-class, h1, h2, h3, h4, h5, h6 { font-family: var(--new-theme-font-family); font-weight: 700; color: var(--black-color); margin: 0 0 15px; letter-spacing: -.01em; }
ol, p:last-child, ul { margin: 0; }
.h1-class, h1 { font-size: 2.5rem; line-height: 3rem; }
.h2-class, h2 { font-size: 2.25rem; line-height: 2.75rem; }
.h3-class, h3 { font-size: 1.75rem; line-height: 2.25rem; }
.h4-class, h4 { font-size: 1.5rem; line-height: 2rem; }
.h5-class, h5 { font-size: 1.25rem; line-height: 1.75rem; }
.home-body h4 { font-size: 1.3rem; line-height: 1.7rem; margin-bottom: 10px}
.home-body .h3-class,.home-body h3 { font-size: 1.25rem; line-height: 1.6rem; margin-bottom: 10px}
.home-body h4 { font-size: 1.3rem; line-height: 1.7rem; margin-bottom: 10px}

.hs-input { background-color: var(--white-color); outline: 0; height: 3rem; line-height: 2.875rem; padding: 0 15px; font-size: var(--font-16); font-weight: 400; border-radius: .5rem; display: block; width: 100%; }
.hs-button.line-btn, .hs-input { border: 1px solid #ccc; color: var(--black-color); }
.chk-box input[type=checkbox], .radio-box input[type=radio] { opacity: 0; position: absolute; left: 0; top: 0; bottom: 0; width: 20px; cursor: pointer; }
.chk-box, .radio-box { position: relative; }
.chk-box input[type=checkbox]+label::after, .chk-box input[type=checkbox]+label::before, .radio-box input[type=radio]+label::after, .radio-box input[type=radio]+label::before { width: 20px; height: 20px; position: absolute; top: 2px; content: ""; left: 0; }
.radio-box input[type=radio]+label::before { display: block; border-radius: 50%; border: 1px solid #c2bfbf; }
.radio-box input[type=radio]+label::after { background: url(/hubfs/raw_assets/public/upGrad-New-2024/upGradTheme2024/images/check-arw-white.png) 5px 6px no-repeat #ee2c3c; display: none; border-radius: 50%;}
.hs-button {width: auto;background: #e50913; font-family: DM Sans; font-size: 14px; font-weight: 700; border: none; color: #fff; padding: 12px 30px; border-radius: .5rem;box-shadow: none!important; text-align: center; transition: .3s; position: relative; cursor: pointer;}
.hs-button:hover {background: #bf2026; transition: all 0.3s ease;}
.text-gradient {color: #E50913;}
.section-title-top {margin-bottom: 20px;}
.section-title-top h2.section-title { margin: 0 0 5px;}
.section-title-top .section-title-top p { font-size: 18px; font-weight: 500; line-height: 22px;}
.owl-carousel .animated { -webkit-animation-duration: 1.5s; animation-duration: 1.5s; -webkit-animation-fill-mode: both; animation-fill-mode: both; }
.owl-carousel .owl-animated-in { z-index: 0; }
.owl-carousel .owl-animated-out { z-index: 1; }
.owl-carousel .fadeOut { -webkit-animation-name: fadeOut; animation-name: fadeOut; }
@-webkit-keyframes fadeOut { 0% { opacity: 1; } 100% { opacity: 0; } }
@keyframes fadeOut { 0% { opacity: 1; } 100% { opacity: 0; } }
.owl-carousel .fadeOut1 { -webkit-animation-name: fadeOut1; animation-name: fadeOut1; }
@-webkit-keyframes fadeOut1 { 0% { opacity: 1; } 100% { opacity: 0; } }
@keyframes fadeOut1 { 0% { opacity: 1; } 100% { opacity: 0; } }
.owl-height { -webkit-transition: height .5s ease-in-out; -moz-transition: height .5s ease-in-out; -ms-transition: height .5s ease-in-out; -o-transition: height .5s ease-in-out; transition: height .5s ease-in-out; }
.owl-carousel { display: none; width: 100%; position: relative; z-index: 1; }
.owl-dots, .owl-nav>button { position: absolute; text-align: center; }
.owl-carousel .owl-stage { position: relative; -ms-touch-action: pan-Y; display: flex; }
.owl-carousel .owl-stage:after { content: "."; display: block; clear: both; visibility: hidden; line-height: 0; height: 0; }
.owl-carousel .owl-stage-outer { position: relative; overflow: hidden; transform: translate3d(0,0,0); -moz-transform: translate3d(0,0,0); -webkit-transform: translate3d(0,0,0); }
.owl-carousel .owl-controls .owl-dot, .owl-carousel .owl-controls .owl-nav .owl-next, .owl-carousel .owl-controls .owl-nav .owl-prev { cursor: pointer; }
.owl-carousel.owl-loading { opacity: 0; display: block; }
.owl-carousel .owl-item { position: relative; min-height: 1px; float: left; -webkit-backface-visibility: hidden; -webkit-touch-callout: none; -webkit-user-select: none; -moz-user-select: none; -ms-user-select: none; user-select: none; }
.owl-carousel .owl-item img { display: block; width: 100%; transform-style: preserve-3d; -moz-transform-style: preserve-3d; -webkit-transform-style: preserve-3d; }
.owl-carousel .owl-item .owl-lazy { opacity: 0; -webkit-transition: opacity .4s; -moz-transition: opacity .4s; -ms-transition: opacity .4s; -o-transition: opacity .4s; transition: opacity .4s; }
.owl-carousel .owl-nav .disabled, .owl-dots>button>span { display: none!important; }
.owl-nav>button { color: #fff; font-family: Arial; font-size: 0; height: 16px; line-height: 16px; top: 50%; transform: translateY(-50%); -moz-transform: translateY(-50%); -webkit-transform: translateY(-50%); width: 10px; display: block; margin-top: -12px; }
.owl-dots.disabled, .owl-nav.disabled, .owl-nav>button>span { display: none; }
.owl-nav>button.owl-prev { left: -35px; background: url(/hubfs/raw_assets/public/upGrad-New-2024/upGradTheme2024/images/prev-arw.png) center center no-repeat; }
.owl-nav>button.owl-next { right: -35px; background: url(/hubfs/raw_assets/public/upGrad-New-2024/upGradTheme2024/images/next-arw.png) center center no-repeat; }
.owl-dots { align-items: center; bottom: -30px; display: flex; justify-content: center; left: 0; right: 0; }
.owl-dots>button.owl-dot, .owl-nav>button { border: none; outline: 0!important; cursor: pointer; }
.owl-dots>button.owl-dot { background: #d9d9d9; border-radius: 50%; height: 12px; margin: 0 5px; vertical-align: middle; width: 12px; }
.owl-dots>button.owl-dot.active { background: #004990; }
.chk-box input[type=checkbox]:checked+label::after, .owl-carousel.owl-loaded, .radio-box input[type=radio]:checked+label::after { display: block; }

/* Header CSS */
.header { font-size: 16px; font-style: normal; font-weight: 500; line-height: 22px; }
.footer, .header { font-family: DM Sans, sans-serif; }

.header-top { background: #fff; box-shadow: 0 1px 4px rgba(0,0,0,.02); position: relative; z-index: 111; }
.ug-header-max-width { padding: 10px 0; }
.new-header-design { align-items: center; display: flex; justify-content: space-between; margin: 0 auto; max-width: 1270px; padding: 0 15px; }
@media (min-width: 992px) { .header .ug-icon-bars, .header-course-menu-mobile, .header-main-menu-mobile, .upgrad-login-menu .upgrad-login-menu-dropdown { display: none; } }
.header-main-menu { flex-grow: 1; text-align: center; }
.header-main-menu>ul { display: flex; gap: 15px; justify-content: center; }
.header-main-menu>ul>li { color: #000; padding: 20px 10px; }
.header-main-menu>ul>li:hover {  color: #e50913;}
.header-main-menu>ul>li .dropdown-menu { border: none; border-radius: 0; left: 0; padding: 0 15px; right: 0; top: 70px; width: 100%; }
.dropdown-menu-inner { margin: 0 auto; max-width: 1270px; padding: 15px 0; }
.dropdown-menu .sub-menu-tab, .dropdown-menu .tab-content { max-height: 50vh; overflow-y: scroll; -ms-overflow-style: none; scrollbar-width: none; }
.dropdown-menu .sub-menu-tab, .header-courses-menu .courses-menu-list>ul { border-right: 2px solid #bfbfbf; margin-right: 20px; padding-right: 20px; width: 340px; }
.dropdown-menu .sub-menu-tab { display: block; }
.dropdown-menu .nav-link, .header-courses-menu .nav-link { border: 1px solid transparent; color: #333; display: flex; font-size: 16px; font-weight: 500; justify-content: space-between; margin: 4px 0; white-space: normal; }
.dropdown-menu .nav-link.active, .header-courses-menu .course-menu li.nav-item.active .nav-link, .header-courses-menu .nav-link.active { background: none!important; border: 1px solid #ee2c3c!important; border-radius: 5px; color: #e50913!important; font-weight: 500; }
.dropdown-menu .nav-link:after, .header-courses-menu .nav-link:after {border: none; content: "\f105"!important; display: inline-block!important; float: right; font-family: Font Awesome\ 6 Free;  font-weight: 900; padding-left: 5px; vertical-align: middle;}
.dropdown-menu .tab-content { width: calc(100% - 320px); }
.course-title-and-all-link { display: flex; justify-content: space-between; }
.header-main-menu>ul>li .dropdown-menu.course-menu .program-listing { display: flex; flex-wrap: wrap; margin-left: -15px; margin-right: -15px; }
.header-main-menu>ul>li .dropdown-menu.course-menu .program-listing li { box-sizing: border-box; padding: 15px; width: 33.333%; }
.program-box { align-items: center; border: none; box-shadow: none; display: flex; gap: 15px; padding: 0; }
.program-box .program-box-thumb { align-items: center; border-radius: 10px; box-shadow: 0 3px 6px rgba(9,30,66,.03); display: flex; height: 75px; justify-content: center; overflow: hidden; padding: 5px; width: 75px; }
.program-box .institution-name { color: #e50913; font-size: 16px; }
.program-box .program-name { font-size: 14px; height: 55px; -webkit-line-clamp: 3; line-height: normal; -webkit-box-orient: vertical; display: -webkit-box; overflow: hidden; }
.program-box:hover .program-name { text-decoration: underline; color: #000; }
.new-hader-navgation .course-link-box .partner-logo { align-items: center; border: 1px solid #fbfbfb; border-radius: 10px; box-shadow: 0 3px 6px rgba(9,30,66,.03); display: flex; height: 75px; justify-content: center; max-width: 75px; min-width: 75px; overflow: hidden; padding: 5px; }
.dropdown-menu .nav-link:hover, .header-courses-menu .nav-link:hover { color: #e50913; }
.skills-container { overflow: hidden; white-space: nowrap; }
.skills-list { text-overflow: ellipsis; }
.skill, .skills-list { display: inline-block; }
.skill { color: var(--greyscale-2); margin-right: 5px; }
.toggle-more { color: red; cursor: pointer; display: inline-block; font-size: 14px; margin-top: 5px; }
.toggle-more:hover { text-decoration: underline; }
.toggle-more:before { color: #000; content: "|"; display: inline-block; padding-left: 10px; padding-right: 10px; }
.toggle-more.show-less:before { content: none; }
.sub-menu.dropdown-menu ul.skills-list { margin: 0; max-width: 820px; padding: 0; white-space: normal; width: auto; }
ul.skills-list li { display: inline-block; }
span.skills-list { font-size: 14px; }
.more-skills { white-space: normal; }
.more-btn a { color: red; }
ul.skills-list li+li:before { content: "|"; padding: 0 10px; }
.header-main-menu ul.skills-list li:after { display: none; }
.header-main-menu .skills-container { white-space: normal; }
.header-main-menu ul.skills-list li, .header-main-menu ul.skills-list li a { color: #585858; font-size: 14px; }
.header-main-menu ul.skills-list li { display: inline-block; padding-bottom: 7px; padding-top: 7px; }
.header-main-menu .toggle-more:before { color: #585858; }
.skills-list .more-skills { display: none; }
.skills-container .more-skills {display: none;}
ul.skills-list li+li:before { display:none}
@media (max-width: 991px) {
.hc-more-skills { display: none;}
.hc-more-skills.expanded { display: inline; }
}
.header { margin-top: 0; margin-bottom: 0; } 
.ug-header-max-width { padding-top: 10px; padding-bottom: 10px; }
.new-hader-navgation .navgation-menu { display: flex; width: 100%; }
.new-hader-navgation .navgation-menu .nav-link img { display: block; margin: 0 auto; }
.new-hader-navgation .navgation-menu .nav-link { font-size: 14px; color: #000; font-weight: 500; padding: 30px 15px; position: relative; }
.new-hader-navgation .navgation-menu .nav-item.active .nav-link { color: #e50913; }
.new-header-design { display: flex; justify-content: space-between; align-items: center; max-width: 1270px; margin-left: auto; margin-right: auto; padding-left: 15px; padding-right: 15px; }
.new-hader-navgation li.nav-item.dropdown { position: initial; padding-left: 10px; padding-right: 10px; }
.free-course-button .ug-signup-button { color: #e50913; border: 1px solid #e50913 !important; }
.new-hader-navgation .dropdown-menu { left: 0; right: 0; border: none; background: #fff; top: 85px; z-index: 333; padding: 0; border-radius: 0 0 10px 10px; overflow: hidden; }
.new-hader-navgation .dropdown-menu .dropdown-menu-innermenu { padding: 30px; background: #fff; }
.new-hader-navgation { position: relative; }
.new-hader-navgation:after { content: ""; box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.03); width: 100%; height: 12px; position: absolute; bottom: 0px; z-index: 0; }
.new-hader-navgation { box-shadow: 2px 2px 8px 0px rgba(0, 0, 0, 0.04); }
.navgation-slider-wrapper { display: flex; align-items: center; gap: 12px; position: relative; padding: 0px 0; }
.navgation-slider-wrapper .navgation-slider { overflow-x: auto; white-space: nowrap;  max-width: 100%;    margin: 0 auto; }
.navgation-slider-wrapper .navgation-slider::-webkit-scrollbar { display: none; }
.navgation-slider-wrapper .navgation-menu { display: flex; flex-wrap: nowrap; justify-content: center; }
.navgation-slider-wrapper .nav-arrow { font-size: 18px; cursor: pointer; padding: 8px 12px; background: #fff; border-radius: 50%; user-select: none; font-family: "DM Sans"; }
.new-hader-navgation .navgation-slider button.nav-btn { position: absolute; top: 50%; transform: translateY(-50%);    border: none; font-size: 44px; background: none;}
.new-hader-navgation .navgation-slider button.nav-btn.next { right: -20px;}
.new-hader-navgation .navgation-slider button.nav-btn.prev { left: -20px;}
.new-hader-navgation .navgation-slider button.nav-btn.disabled { display: none;}
.vertical-program { max-width: 100%; width: 100%; }
.dropdown-menu-innermenu ul { display: flex; flex-wrap: wrap; }
.dropdown-menu-innermenu li { display: inline-block; min-width: 33.333%; }
/* end  new hader navgation 2 css*/ 
.new-hader-navgation .partaner-info { background: none; }
.new-hader-navgation .course-link-box { box-shadow: none; display: flex; padding: 0; border: none; gap: 15px; align-items: flex-start;    margin-bottom: 15px; }
.new-hader-navgation .course-link-box .partner-logo { min-width: 75px; max-width: 75px; height: 75px; box-shadow: 0px 3px 6px 0px rgba(9, 30, 66, 0.03); padding: 5px; border-radius: 10px; overflow: hidden; display: flex; align-items: center; justify-content: center; border: 1px solid #fbfbfb; }
.new-hader-navgation .course-link-box .partaner-info { background: none; display: initial; padding: 0; }
.new-hader-navgation .course-link-box .partaner-info .unisty-name { padding: 0; line-height: 20px; height: auto; font-size: 16px; color: #e50913; text-overflow: initial; white-space: initial; overflow: initial;    display: inline-block; }
.new-hader-navgation .course-link-box .partaner-info .course-name { font-size: 16px; white-space: normal; min-height: 46px; line-height: initial; -webkit-line-clamp: 2; -webkit-box-orient: vertical; overflow: hidden; display: -webkit-box; }
.new-hader-navgation .dropdown-menu-innermenu li { display: inline-block; min-width: 33.333%; padding-left: 25px; padding-right: 25px; box-sizing: border-box; max-width: 33.333%; }
.new-hader-navgation .navgation-menu .nav-link img { height: 24px; }
.new-hader-navgation .navgation-menu a.course-info:hover, .new-hader-navgation .navgation-menu a.course-info:hover .course-name { color: #000; }
.new-hader-navgation .navgation-menu li.nav-item:hover .nav-link { color: #e50913; }
.new-hader-navgation .navgation-menu .dropdown-toggle::after { border: none; content: "\f107"; font-family: "Font Awesome 6 free"; font-weight: 900; display: inline-block; vertical-align: middle; position: absolute; padding-top: 2px; }
.new-hader-navgation .navgation-menu li.nav-item.dropdown:hover .dropdown-toggle::after { content: "\f106"; }
.new-hader-navgation .sub-menu-viewmore { text-align: center; display: block; }
.new-hader-navgation .sub-menu-viewmore a { color: #e50913; display: flex; justify-content: center; align-items: center; gap: 10px; }
.new-hader-navgation .sub-menu-viewmore a:hover { text-decoration: underline; }
.new-hader-navgation .dropdown-menu-innermenu li:hover a .course-name { text-decoration: underline; }
.more-menu { display: flex; flex-wrap: wrap; }
.more-sub-menu-box { margin-bottom: 20px; padding-left: 15px; padding-right: 15px; width: 33.333%; }
.more-sub-menu-box a { border-radius: 15px; box-shadow: 0 5px 15px rgba(0,0,0,.1); display: flex; gap: 20px; height: 100%; padding: 15px; }
.more-sub-menu-box .more-sub-menu-icon { max-height: 50px; max-width: 50px; }
.more-sub-menu-box .more-sub-menu-title { font-size: 20px; line-height: 24px; margin-bottom: 5px; }
.more-sub-menu-box .more-sub-menu-description { font-size: 14px; line-height: 18px; }
.more-sub-menu-box a:hover { color: #000; }
body::before { content: ""; position: fixed; /* Fixes it to the viewport */ top: 0; left: 0; width: 100%; height: 100%; /* Start with full transparency and a low z-index */ background-color: rgba(0, 0, 0, 0.5); /* Semi-transparent black */ opacity: 0; z-index: -1; /* Keep it below everything else initially */ pointer-events: none; /* Allows clicks to pass through when hidden */ /* 🌟 The key for smoothness: Transition */ /* transition: opacity 0.3s ease-in-out; */ }
body.overlay-active::before { opacity: 1; /* Fade in the overlay */ z-index: 99; /* Bring it above the body content but below the menu */ pointer-events: auto; /* Prevent clicks on content below */ }
.overlay-active .overlay { display: none; }
.header-top { position: relative; z-index: 111; background: #fff; box-shadow: 0px 1px 4px 0px rgba(0, 0, 0, 0.02); }
.ug-header-right-container  display: flex; align-items: center;{ position: relative; z-index: 1; align-items: center; display: flex; }
.mobile-course-btn, .ug-icon-bars { display: none; }
.ug-signin-mainBtn, .ug-signin-mainBtn:hover { background: #e50913; border-radius: .5rem; line-height: 25px; min-width: 110px; box-shadow: none; height: 38px; transition: .3s; padding: .375rem .5rem; color: #fff; cursor: pointer; border: none; font-size: 14px; font-weight: 600; }
#temp_menu .hs-menu-item:last-child, #ug-signup-referral-nudge, .dropdown.ug-header-courses-button.ug-display-none, .header-courses-menu .course-menu li.nav-item .nav-link.dropdown-toggle:after, .hs-item-has-children>ul.hs-menu-children-wrapper, .mob-back-menu, .phoneSignupValidation, .sign-up-popup .modal-body [class*=ug-signIn-modalContainer__] [class*=ug-signIn-modalContainer_left__], .sign-up-popup .ug-signIn-modalContainer_left, .sub-menu.dropdown-menu ul.vertical-progra-list, .ug-signup-img, .upgrad-login-menu-wrapper, .upgrad-login-verify-phone, .vertical-program ul li:nth-child(n+5) { display: none; }
.header .container.ug-header-max-width .courses-menu-button, .upgrad-login-menu-wrapper.upgrad-login-menu-wrapper-mobile, .upgrad-signup-button-wrapper.element-container.header-button { display: none!important; }
@media (min-width: 992px) { .header .ug-icon-bars, .header-course-menu-mobile, .header-main-menu-mobile, .upgrad-login-menu .upgrad-login-menu-dropdown { display: none; } }
.hs-menu-item.hs-menu-depth-1.hs-item-has-children, .hs-menu-item>a, .upgrad-login-menu-wrapper { position: relative; }
.header-button, .upgrad-login-menu-logout, .upgrad-login-menu-logout-desktop, .upgrad-login-verify-phone { cursor: pointer; }
.upgrad-user-initials { align-items: center; background-color: #e50913; border-radius: 50%; color: #fff; display: flex; font-size: 14px; font-weight: 700; height: 32px; justify-content: center; text-transform: uppercase; width: 32px; }
@media (min-width: 992px) { .upgrad-login-menu:hover .upgrad-login-menu-dropdown { display: block; } }
.upgrad-login-menu-dropdown { box-shadow: 0 -5px 40px #0000000a; max-width: 250px; min-width: 250px; padding-left: 15px; top: 40px; background: #fff; border-radius: 10px; min-height: 140px; margin: 0; overflow: hidden; padding-bottom: 10px; padding-top: 10px; position: absolute; right: 0; z-index: 5; }
.upgrad-login-chevron { display: none!important; }
.upgrad-login-menu-dropdown > div { margin-left: 10px; margin-right: 10px; }
.upgrad-login-menu-links a { align-items: center; display: flex; font-size: 14px; }
.upgrad-login-menu-links > a > div, .upgrad-login-menu-logout > div { border-radius: 5px; color: #000; font-size: 14px; padding: 8px; }
.logout-link { color: #000; cursor: pointer; font-size: 14px; padding: 10px; }
.upgrad-login-menu-logout-desktop .logout-link { padding-left: 0; }
.upgrad-login-menu-refer-banner { background: #e50913; margin-left: -15px!important; margin-bottom: -10px; margin-right: 0!important; margin-top: 10px; padding: 0; }
.upgrad-login-menu-refer-link { align-items: center; display: flex; min-height: 75px; }
.upgrad-login-menu-refer-image { margin: 0 20px; }
.upgrad-login-menu-refer-text { display: block; margin-bottom: auto; margin-top: auto; }
.upgrad-login-menu-refer-text h5 { color: #fff; display: block; font-size: 16px; font-weight: 400; line-height: normal; margin: 0; padding: 0; }
.upgrad-login-user-name-desktop { display: none!important; }
.upgrad-login-menu-refer-text p { color: #fff; font-size: 12px; }
.hs-menu-item.hs-menu-depth-1.hs-item-has-children::before, .ug-header-courses-button::before, .upgrad-login-menu::before { content: ""; cursor: pointer; height: 75px; position: absolute; width: 100%; z-index: 1; }
.upgrad-login-menu-links > a:hover, .upgrad-login-menu-links > a:hover > div, .upgrad-login-menu-logout-desktop .logout-link:hover { color: #e50913; }
.nav-arrow { background-color: hsla(0,0%,100%,.8); border-radius: 50%; cursor: pointer; font-size: 30px; padding: 5px 10px; position: absolute; top: 50%; transform: translateY(-50%); user-select: none; z-index: 10; }
.nav-prev { left: 5px; }
.nav-next { right: 5px; }
.new-hader-navgation { box-shadow: 2px 2px 8px rgba(0,0,0,.04); position: relative; }
.navgation-slider-wrapper { align-items: center; display: flex; gap: 12px; padding: 0; position: relative; }
.navgation-slider-wrapper .navgation-slider { overflow-x: auto; white-space: nowrap; width: 100%; }
.navgation-slider-wrapper .navgation-menu { display: flex; flex-wrap: nowrap; justify-content: center; width: 100%; }
/* END Header CSS */
/* SIGNUP CSS */
.sign-up-popup .modal-body { padding: 0; }
.sign-up-popup .modal-dialog { max-width: 750px; }
.sign-up-popup .modal-content { border-radius: 15px; min-height: 490px; overflow: hidden; box-shadow: 0 16px 28px #2a07460f, 0 -2px 40px #2a07460a; border: none; }
.custom-close-button, .custom-close-button:hover, .custom-close-button:focus { background-color: transparent; border: none; color: #eb2a3a; cursor: pointer; font-size: 1.5rem; position: absolute; right: 10px; top: 10px; z-index: 1051;box-shadow: none; }
.header button.custom-close-button span { font-size: 34px; line-height: 34px; font-weight: 600; cursor: pointer; text-align: center; }
button.btn.btn-secondary.custom-close-button:active:focus {box-shadow: none;}
.header .sign-up-popup .ug-signIn-modalContainer, .header .sign-up-popup .ug-signin-btn__content .ug-signIn-modalContainer, .header .sign-up-popup .ug-signin-btn__content__otp .ug-signIn-modalContainer__otp, .header .sign-up-popup .ug-signin-btn__content__refferal .ug-signIn-modalContainer__refferal, .header .sign-up-popup .ug-signin-btn__content__success .ug-signIn-modalContainer__success { display: flex; padding: 0; }
.ug-signin-btn__body { display: flex; }
.ug-signin-btn__modalDialog_container { display: flex; align-items: center; justify-content: center; }
.ug-signin-btn__inputNameDetails, .ug-signin-btn__modalDialog_container__otp, .ug-signin-btn__modalDialog_container__refferal { display: none; align-items: center; justify-content: center; }
.ug-signin-btn__modalDialog_container__success { display: none; align-items: center; justify-content: center; height: 36vh; }
.header .sign-up-popup .ug-signIn-modalContainer .ug-signIn-modalContainer_left, .header .sign-up-popup .ug-signin-btn__content .ug-signIn-modalContainer_left, .header .sign-up-popup .ug-signin-btn__content__otp .ug-signIn-modalContainer_left__otp, .header .sign-up-popup .ug-signin-btn__content__refferal .ug-signIn-modalContainer_left__refferal, .header .sign-up-popup .ug-signin-btn__content__success .ug-signIn-modalContainer_left__success { background: #e9e9e9; display: flex; flex-direction: column; justify-content: space-between; min-width: 325px; padding: 45px 20px; }
.header .sign-up-popup .ug-signIn-modalContainer .ug-signIn-modalContainer_right, .header .sign-up-popup .ug-signin-btn__content .ug-signIn-modalContainer_right, .header .sign-up-popup .ug-signin-btn__content__otp .ug-signIn-modalContainer_right__otp, .header .sign-up-popup .ug-signin-btn__content__refferal .ug-signIn-modalContainer_right__refferal, .header .sign-up-popup .ug-signin-btn__content__success .ug-signIn-modalContainer_right__success { display: flex; flex-direction: column; padding: 50px 30px 20px; width: 100%; }
.signup-left-heading { color: #000; font-size: 1.75rem; letter-spacing: -.01em; line-height: 2.25rem; margin: 20px 0 15px; font-weight: 400; }
.login-right-top-content { flex-grow: 1; }
.ug-signIn-modalContainer_right__input_left-email { border: 1px solid #e6e6e6; border-radius: 8px; color: #000; font-family: var(--theme-font-family); font-size: 16px; font-weight: 600; height: 48px; outline: 0; padding: 0 15px; width: 100%; }
.check-for-login p { font-size: 14px; line-height: 20px; font-weight: 500; margin: 10px 0!important; text-align: left; align-items: flex-start; display: flex; }
.buttonSubmit, .buttonSubmit_disabled { cursor: pointer; font-family: inherit; height: 44px; outline: 0; text-transform: uppercase; width: 100%; }
.buttonSubmit_disabled, .buttonSubmitOtp_disabled, .referralConfirm_disabled { background: #e6e6e6; border: none; border-radius: 8px; transition: .8s; }
.buttonSubmit { background: linear-gradient(270deg,#ff5757,#d02035); border: none; border-radius: 8px; color: #f7f3f3; transition: background .8s; margin: 0; }
.ug-signIn_right__referral_ContinueBtn>button { border: none; border-radius: 8px; color: #f7f3f3; cursor: pointer; height: 44px; outline: 0; text-transform: uppercase; width: 100%; }
.ug-signIn_right__otp_inputOtp>input { border: 1px solid #d9d9d9; border-radius: 5px; height: 40px; margin-bottom: 0; width: 40px; color: #263238; font-family: inherit; font-size: 20px; font-weight: 600; line-height: 100%; margin: 0 3px; outline: 0; padding: 0; text-align: center; }
.ug-signIn_right__otp_inputOtp { gap: 10px; display: flex; justify-content: flex-start; margin: 0 0 20px; }
.ug-signIn_right__otp_inputOtp span { display: none; }
.ug-signIn-modalContainer_right__footer { align-items: center; display: flex; justify-content: space-between; margin-top: 15px; }
.ug-signIn-modalContainer_right__footerleft { color: #e50913; font-size: 16px; font-weight: 700; }
.upgradTermsAndPolicy input[type=checkbox] { flex: 0 0 20px; height: 20px; margin-right: 10px; margin-top: 5px; }
.upgradTermsAndPolicy a { cursor: pointer; text-decoration-line: underline; }
.ug-signIn_right_p { color: #e50913; font-size: 16px; text-align: left; font-weight: 700; margin: 10px 0; }
.ug-signIn_right_subText, .ug-signIn_right_subText p { margin: 0 0 15px; text-align: left; font-size: 16px; font-weight: 500; line-height: 22px; }
.ug-signIn_right_subText>p>span { color: #e95454; cursor: pointer; font-size: 12px; font-weight: 600; line-height: 100%; padding-left: 7px; }
.ug-signIn_right__otp_resendContainer_left.invalidOTPdiv { color: red; }
.ug-signIn_right_referral_p { color: #000; font-size: 22px; font-weight: 700; margin-bottom: 10px; }
.ug-signIn_right_referral_subText { font-size: 16px; font-weight: 600; height: auto; margin-bottom: 20px; }
.ug-signIn_right_referral__input { margin-bottom: 20px; }
.ug-signIn_right_referral__input>input { border: 1px solid #e6e6e6; border-radius: 8px; color: #000; font-family: var(--theme-font-family); font-size: 16px; font-weight: 600; height: 48px; outline: 0; padding: 0 15px; width: 100%; }
#ugSignInInputNameContainer .ug-signIn-modalContainer_right__input-email>* { margin-bottom: 5px!important; margin-top: 5px!important; }
.ug-signIn-modalContainer_right__input_left-email { border: 1px solid #e6e6e6; border-radius: 8px; color: #000; font-family: var(--theme-font-family); font-size: 16px; font-weight: 600; height: 48px; outline: 0; padding: 0 15px; width: 100%; }
.iti.iti--allow-dropdown.iti--separate-dial-code { border: 1px solid #e6e6e6; border-radius: 8px; padding: 10px; width: 100%; }
body.home-body .ug-signIn-modalContainer_right_header { font-size: 22px; font-weight: 400; line-height: normal; color:#000 }
.ug-signIn-modalContainer_right_header span { display: block; font-weight: 600; }
.iti--allow-dropdown .iti__flag-container, .iti--separate-dial-code .iti__flag-container { border-right: 1px solid #e6e6e6; font-size: 16px; position: absolute; top: 0; bottom: 0; padding: 1px; }
#phoneSignUp, #phoneSignUp:active, #phoneSignUp:focus, #phoneSignUp:focus-visible, #phoneSignUp:target { background: 0 0; font-size: 16px; width: 100%; border: none; outline: 0; padding-right: 6px; margin-left: 0; padding-left: 86px; }
h4.login-information-name-email { color: #e50913; font-size: 18px; font-weight: 600; line-height: inherit; margin: 0; }
p.inputName-subHeader { color: #000; margin-bottom: 5px; text-align: left; font-size: 16px; font-weight: 500; line-height: 22px; }
.ug-signIn_right_referral_skipStep>p { color: #7c8698; cursor: pointer; font-size: 16px; font-weight: 500; margin-top: 48px; text-align: center; -webkit-text-decoration-line: underline; text-decoration-line: underline; line-height: 22px; }
.ug-signIn-modalContainer_right__success_iframe { align-items: center; display: flex; justify-content: center; }
.ug-signIn-modalContainer_right__success_iframe>img { height: auto; margin-bottom: 20px; width: auto; }
.ug-signIn_right_success_p, .ug-signIn_right_success_subText { color: #000; display: flex; font-weight: 700; justify-content: center; padding-top: 15px; text-align: center; }
.ug-signIn_right_success__subText { padding-top: 15px; display: flex; font-size: 16px; font-weight: 400; justify-content: center; color: #000; }
.ug-signIn_right_success_p { font-size: 22px; }
.ug-signIn-modalContainer_right__refferal { text-align: center; }
.sign-up-popup .ug-signin-btn__content__success .ug-signIn-modalContainer_right__success { align-self: center; padding-bottom: 0!important; padding-top: 0!important; }
.signup-left-heading span, .signup-left-img h3 span { color: #e50913; font-weight: 600; }
/* end SIGNUP CSS */
@media(max-width:1349px) {
 .body-container-wrapper > .container-fluid { padding-left: 0;padding-right: 0;}  
}
@media (max-width: 767px) { 
.h1-class,.h2-class, .h3-class,.h4-class,.h5-class,.h6-class,h1, h2, h3,h4, h5, h6, p {margin: 0 0 10px}
.h1-class, h1 {font-size: 2rem; line-height: 2.3rem}
.h2-class, h2 { font-size: 1.5rem; line-height: 2rem}
.h3-class, h3 { font-size: 1.3rem;line-height: 1.8rem}
.h4-class, h4 { font-size: 1.2rem;line-height: 1.5rem}
.h5-class, h5 { font-size: 1.1rem; line-height: 1.3rem}
.mb-70 { margin-bottom:30px}
.mb-30 {margin-bottom: 10px;}
.mb-40 {margin-bottom: 10px;}
.mb-50 {margin-bottom: 20px;}
h3.section-title {font-size: 1.5rem;line-height: 2rem;}
.section-title-top p, .home-body body p, .home-body body { font-size: 14px; }
}
/* Header Responsive CSS */
@media (max-width: 991px) {
 .ug-signin-mainBtn { width: auto; }
.mobile-course-btn { cursor: pointer; padding: 10px; }
.header-course-menu-mobile { position: fixed; top: 70px; left: -100%; width: 350px; max-width: 90%; height: calc(100% - 60px); background: #fff; transition: left 0.3s ease; overflow-y: auto; z-index: 9999; padding: 0 20px; }
.header-course-menu-mobile.active { left: 0; }
.submenu-panel { position: fixed; overflow-y: auto; top: 0; left: 100%; width: 100%; height: 100%; background: #fff; transition: left 0.3s ease; padding: 20px; }
.submenu-panel.active { left: 0; }
.back-btn { padding: 10px 0; border-bottom: 1px solid #eee; cursor: pointer; margin-bottom: 10px; color: #000; }
.sub-menu-tab a { display: block; padding: 5px 10px; text-decoration: none; color: #333; }
.header-main-menu>ul>li:first-child { display: none; }
.program-box .program-name, .program-box .institution-name { font-size: 14px; line-height: initial; }
.header-main-menu { display: none; }
.mobile-course-btn { display: block; border: 1px solid #e50913; height: 29px; line-height: initial; font-size: 12px; padding: .375rem .5rem; border-radius: 4px; font-weight: 600; color: #e50913; }
body.menu-open header { position: fixed; width: 100%; z-index: 11; }
.header-logo { flex-grow: 1; }
.header-logo img { max-width: 100px; margin-left: 10px; }
.ug-icon-bars { cursor: pointer; padding: 10px; display: block; }
.header-main-menu-mobile { position: fixed; top: 0; left: -100%; width: 350px; max-width: 90%; height: 100%; background: #fff; transition: left 0.3s ease; overflow-y: auto; z-index: 9999; padding: 20px; overflow: hidden; }
.header-main-menu-mobile.active { left: 0; }
.header-main-menu-mobile .dropdown-menu-inner { position: absolute; top: 0; left: 100%; width: 100%; height: 100%; background: #fff; transition: left 0.3s ease; overflow-y: auto; padding: 20px; }
.dropdown-menu-inner.active { left: 0; }
.header-main-menu-mobile .close-btn { font-size: 22px; cursor: pointer; padding: 10px; color: #e50913; text-align: left; display: inline-block; margin-left: -10px; }
.header-main-menu-mobile a.menu-link { display: block; padding: 7px 0; text-decoration: none; color: #333; border-bottom: 1px solid #eee; }
.header-main-menu-mobile .nav-link { color: #000; }
.ug-header-right-container .free-course-button { display: none; }
.ug-header-right-container { gap: 10px; align-items: center; display: flex; }
.header-main-menu-mobile .free-course-button .ug-signup-button { border: none!important; text-align: left; font-weight: bold; padding: 7px 0; display: inline-block; height: auto; }
.header-main-menu-mobile .free-course-button .ug-signup-button span { font-size: 16px; letter-spacing: 0; }
.header .ug-signin-mainBtn { height: 29px; line-height: initial; font-size: 12px; }
.header .ug-signin-mainBtn span { font-size: 12px; }
.sub-menu-tab a:after { content: "\f105"; float: right; font-family: "Font Awesome 6 free"; font-weight: 600; }
.upgrad-login-menu::before { display: none; }
.upgrad-login-menu-dropdown { display: none; }
.upgrad-login-menu-dropdown.active { display: block!important; }
.course-title-and-all-link { padding-bottom: 10px; margin-bottom: 10px; color: #000; }
.back-btn i { padding-right: 7px; }
.header-main-menu-mobile ul li:has(.dropdown-menu-inner)::before { content: "\f105"; float: right; font-family: "Font Awesome 6 free"; font-weight: 600; display: inline-block; vertical-align: middle; line-height: 34px; }
.program-box .program-name { min-height: 40px; }
.degrees-viewall { margin-top: 15px; }
.header-course-menu-mobile { top: 60px; }
.more-sub-menu-box .more-sub-menu-icon { display: none; }
.more-menu { display: block; }
.more-sub-menu-box a { box-shadow: none; padding: 5px; }
.more-sub-menu-box { width: 100%; padding: 0; margin: 0; }
.more-sub-menu-box .more-sub-menu-description { display: none; }
.more-sub-menu-box .more-sub-menu-title { font-size: 14px; margin-bottom: 0; line-height: inherit; }
.header .sign-up-popup .ug-signIn-modalContainer .ug-signIn-modalContainer_left, .header .sign-up-popup .ug-signin-btn__content__otp .ug-signIn-modalContainer_left__otp, .header .sign-up-popup .ug-signin-btn__content__refferal .ug-signIn-modalContainer_left__refferal, .header .sign-up-popup .ug-signin-btn__content .ug-signIn-modalContainer_left, .header .sign-up-popup .ug-signin-btn__content__success .ug-signIn-modalContainer_left__success { display: none; }
.sign-up-popup .modal-content { border-radius: 0; }
.header .sign-up-popup .ug-signIn-modalContainer, .header .sign-up-popup .ug-signin-btn__content .ug-signIn-modalContainer, .header .sign-up-popup .ug-signin-btn__content__otp .ug-signIn-modalContainer__otp, .header .sign-up-popup .ug-signin-btn__content__refferal .ug-signIn-modalContainer__refferal, .header .sign-up-popup .ug-signin-btn__content__success .ug-signIn-modalContainer__success {
 width: 100%;}
.header-main-menu-mobile .free-course-button .ug-signup-button { border: none!important; display: inline-block; font-weight: 700; height: auto; margin-left: 0; padding: 7px 0; text-align: left; font-size: 12px; line-height: normal; width: auto; background: transparent; }
.header-logo img { margin-left: 10px; max-width: 100px; }
}
@media (max-width: 767px) {
  
.sign-up-popup .modal-dialog {
    align-items: inherit;
    height: auto;
    margin: 0;
    min-height: 490px;
    width: 100%;
}
.header button.custom-close-button:focus {
    box-shadow: none;
    background: none;
    color: #eb2a3a;
}
  .login-right-top-content {
    flex-grow: inherit;
}
   .sign-up-popup .modal-body [class*="ug-signIn-modalContainer__"],
  .sign-up-popup .ug-signIn-modalContainer {
    padding: 60px 20px 20px;
    background: url(/hubfs/raw_assets/public/upGrad-New-2024/upGradTheme2024/images/upgrad-logo.svg)
      center 15px/100px auto no-repeat;
    height: auto;
  }
}
@media (max-width: 991px) {
  .footer-contactus-image img { margin: 20px auto 0 auto;}
  .new-hader-navgation { display: none;}
}
@media (max-width: 767px) {
.ug-header-logo-img {height: 40px; width: 80px;}
}
/*FOOTER CSS */
.footer { background-color: #191e27; }
.footer-social-and-app-icon { padding-top:40px;}
.footer .ug-device { align-items: center; border: 1px solid #fff; border-radius: 56px; display: flex; flex-direction: row; justify-content: center; margin-bottom: 15px; margin-left: auto; max-width: 270px; padding: 10px 15px; }
.footer .android-app-link, .footer .iOS-app-link { align-items: center; display: flex; }
.footer a { color: #fff; font-size: 13px; }
.footer a:hover { opacity: 0.7;}
.footer .android-app-link img { width: 26px!important; }
.footer .ug-device-desc { color: #fff; font-size: 15px; margin-bottom: auto; margin-top: auto; padding: 0 10px; text-transform: uppercase; }
.footer .tagline div, .footer .tagline p { color: #fff; font-size: 13px; font-weight: 400; line-height: normal; }
.footer .ug-border-bottom:after { border-bottom: 1px solid #4a5568; content: ""; margin: 0 15px; width: calc(100% - 30px); }
.footer .heading { font-weight: 600; margin: 28px 0; text-transform: uppercase; }
.footer .heading, .footer .label, .footer .links { color: #fff; font-size: 14px; }
.footer .label { font-weight: 600; text-transform: uppercase; }
.footer .links { display: flex; flex-direction: column; font-weight: 400; letter-spacing: .04em; line-height: 18px; margin-top: 8px; row-gap: 3px; }
.footer .links a, .footer .links div a div { display: block; overflow: hidden; text-overflow: ellipsis; white-space: nowrap; width: 100%; }
.footer .content div, .footer .content p { color: #fff; font-size: 14px; font-weight: 400; line-height: normal; margin: 10px 0 20px; }
.ug-footer-socials { align-items: center; display: flex; margin: 20px 0 0; }
.ug-footer-socials a { margin: 0 15px 0 0; }
.btnScrollToTop { position: fixed; left: 20px; bottom: 20px; width: 50px; border: none; z-index: 99; display: none; }
@media only screen and (min-width: 768px) {
 .footer .accordion-item, .footer .accordion-item:first-of-type, .footer .accordion-item:last-of-type { background-color: transparent; border: none; border-radius: 0; }
.footer .accordion-button { padding: 0; background-color: transparent; box-shadow: none!important; border-radius: 0!important; border: 0!important; cursor: default; pointer-events: none; color: #fff; font-size: 14px; font-weight: 600; text-transform: uppercase; }
.footer .accordion-button::after { opacity: 0; }
.footer .collapse:not(.show) { display: block; }
.footer .accordion-body { padding: 0; }
.footer .accordion-button:not(.collapsed) { color: inherit; background-color: transparent; }
}
@media only screen and (max-width: 767px) {
.footer .ug-device { max-width: 100%; margin-left: 0; }
.footer .copyright { text-align: center; display: block; }
.footer .accordion-item, .footer .accordion-item:first-of-type, .footer .accordion-item:last-of-type { background-color: transparent; border: none; border-radius: 0; padding: 5px 0; }
.footer .accordion-button { padding: 0; background-color: transparent; box-shadow: none!important; border-radius: 0!important; border: 0!important; color: #fff; font-size: 15px; font-weight: 600; text-transform: capitalize; }
.footer .accordion-body { padding: 0; }
.footer .accordion-button:not(.collapsed) { color: inherit; background-color: transparent; }
.footer .accordion-button::after { filter: brightness(100); }
.row.ug-border-bottom .row .col-md-3.mt-3.mb-3 { margin-top: 5px!important; margin-bottom: 5px!important; }
.ftr-para-content { margin: 0 0 10px; }
.footer .heading { font-size: 16px; padding: 0 0 10px; margin: 15px 0 0; }
.ug-footer-socials { margin: 30px 0 15px; }
.footer .content div, .footer .content p, .footer a { font-size: 13px; }
.btnScrollToTop { bottom: 10px; right: 10px; width: 34px; }
 }
.hbspt-form { display: none !important;}